org.wildfly.swarm.config.management.security_realm

## Class PlugInAuthentication<T extends PlugInAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.PlugInAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class PlugInAuthentication<T extends PlugInAuthentication<T>>
      extends HashMap

  Configuration of a user store plug-in for use by the realm.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlugInAuthentication.Mechanism`
    `static class` | `PlugInAuthentication.PlugInAuthenticationResources` Child mutators for PlugInAuthentication

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlugInAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `PlugInAuthentication.Mechanism` | `mechanism()` Allow the mechanism this plug-in is compatible with to be overridden from DIGEST.
    `T` | `mechanism(PlugInAuthentication.Mechanism value)` Allow the mechanism this plug-in is compatible with to be overridden from DIGEST.
    `String` | `name()` The short name of the plug-in (as registered) to use.
    `T` | `name(String value)` The short name of the plug-in (as registered) to use.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `PlugInAuthentication.PlugInAuthenticationResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PlugInAuthentication

          public PlugInAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public PlugInAuthentication.PlugInAuthenticationResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### mechanism

          public PlugInAuthentication.Mechanism mechanism()

      Allow the mechanism this plug-in is compatible with to be overridden from DIGEST.

    - #### mechanism

          public T mechanism(PlugInAuthentication.Mechanism value)

      Allow the mechanism this plug-in is compatible with to be overridden from DIGEST.

    - #### name

          public String name()

      The short name of the plug-in (as registered) to use.

    - #### name

          public T name(String value)

      The short name of the plug-in (as registered) to use.

Copyright © 2017 JBoss by Red Hat. All rights reserved.